Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage
Class Manager

    java.lang.Object
      |
      +--com.solarmetric.manage.Manager

public class Manager
extends Object

Manager that acts as registry for Watchables. Eventually it will act as registry for Manageables.

Constructor Summary
`Manager()` Allow creation of a Manager.

Method Summary
`boolean` | `addListener(ManagerListener listener)` Add a listener to receive watchable registration events.
`void` | `clearListeners()` Clear all listeners.
`Watchable` | `getWatchable(String name)` Get the Watchable keyed by the passed name.
`HashMap` | `getWatchables()` Get a HashMap of all Watchables.
`void` | `registerWatchable(String name, Watchable watchable)` Register a Watchable with this manager.
`boolean` | `removeListener(ManagerListener listener)` Remove a listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Manager

    public Manager()

  Allow creation of a Manager.

Method Detail

### getWatchables

    public HashMap getWatchables()

  Get a HashMap of all Watchables.

### getWatchable

    public Watchable getWatchable(String name)

  Get the Watchable keyed by the passed name.

### registerWatchable

    public void registerWatchable(String name,
                                  Watchable watchable)

  Register a Watchable with this manager. It is keyed by the passed name.

### addListener

    public boolean addListener(ManagerListener listener)

  Add a listener to receive watchable registration events.

### removeListener

    public boolean removeListener(ManagerListener listener)

  Remove a listener.

### clearListeners

    public void clearListeners()

  Clear all listeners.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.